/*	Allgemeine	*/

@viewport {
    width: 320px;
    initial-scale:1.0;
}

body {
    font-family:arial;
    box-sizing: border-box;
}

.noData {
    color: red;
}

.highlighted {
    font-weight: bold;
}

/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content/Box */
.modal-content {
    background-color: #fefefe;
    margin: 15% auto; /* 15% from the top and centered */
    padding: 20px;
    border: 1px solid #888;
    width: 50%; /* Could be more or less, depending on screen size */
}

/* The Close Button */
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

    .close:hover,
    .close:focus {
        color: black;
        text-decoration: none;
        cursor: pointer;
    }

/*  overlayWindows */

div.overlayWindow {
    position: fixed;
    border:1px solid;
    padding:10px;
    z-index:9999999;
    background-color:white;
    box-sizing: border-box;
    overflow:auto;
}

div.menu button{
    width: 100px;
}

div.menu {
    position: fixed;
    border: none;
    padding: 10px 10px 30px 10px;
    z-index: auto;
    background-color: white;
    box-sizing: border-box;
    overflow: auto;
}

.flex {
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
}

.flex-child {
    -webkit-box-flex: 1 1 auto;
    -moz-box-flex: 1 1 auto;
    -webkit-flex: 1 1 auto;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
}


.centerOfAttention {
    height:80%;
    width:80%;
    left: 10%;
}

.centerOfAttention textArea {
    width:99%;
    height:86%;
}

div.exampleData {
    float: right;
    right: 1%;
    height:24%;
    width:33%;
}

table.exampleData {
    width:100%;
	border: 1px solid;
	border-collapse: collapse;
}

table.exampleData td, table.exampleData th{
	border: 1px solid;
}

.exampleCommit {
    float: right;
    right: 1%;
    top: 27%;
    height:72%;
    width:33%;
}

.exampleCommit textArea {
    width:99%;
    height:92%;
}

div.probableParams {
    float: right;
    right: 1%;
    height:72%;
    width:48%;
}

table.probableParams {
    width:100%;
}

table.probableParams td{
    width:100%;
    cursor:pointer;
    background-color: lightgrey;
}

.probableParam {
    font-size:10px;
}


/*  instructions */

.instructions {
    position: relative;
    top: 70px;
    background-color: white;
}

ul {
    list-style-type:none;
    padding-left: 10px;
}

ul.columns {
    position: relative;
    top:-15px;
}

li.column, li.condition, li.action {
    border: 1px dotted;
    margin: 2px;
    padding: 2px;
}

.column {
    color:blue;
}

.condition {
    color:green;
}

.action {
    color:red;
}

.parameter {
    color:black;
}

input {
    display: inline-block;
    height:20px;
    box-sizing: border-box;
    color: inherit;
}

input.condition, input.action {
        width: auto;
    }

input.column {
    width: 70%;
}

input.parameter {
    width:90%;
}

table.parameters {
    width:100%;
}

a.delete, a.add, a.clone {
    text-decoration: none;
    border: 1px solid;
    display: inline-block;
    width:20px;
    height:20px;
    text-align:center;
    vertical-align: middle;
    box-sizing: border-box;
}

a.add.column, a.add.condition, a.add.action, a.clone.column {
    position: relative;
    left: 12px;
}

a.add.parameter {
    position: relative;
    left: 2px;
}

a.delete {
    color: inherit;
}